$(document).ready(function () {
    $("body").on("blur", ".flatno", fillName);
    $("body").on("change", "#party", fillFlat);
    $("body").off('click').on("click", '.remove', remove);
    $(".tbody").on("keyup blur focus", ".amtoth", calDetailOth);
//    $("body").on("keyup", ".ssearch", getSearchData);
//    $("body").on("click", ".sload", getSearchData);


    $("body").on("change", ".member", getMember);

    function getMember() {
        var member = $(".member").val(),
                addflg = $(".addflg").val();
        $.post('getCredDeb.php', {member: member}, function (data) {
            if (addflg == 1) {
                $(".debparty").html(data);
            }
        });

    }

    function fillName() {
        var flatno = $(".flatno").val();
        if (flatno != '') {
            $.post('get_flatno.php', {flatno: flatno}, function (data) {
                $("#party").val(data.accode);
                $("#party").trigger('change');

            }, 'json');
        }
    }

    function fillFlat() {
        var party = $("#party").val();
        if (party != '') {
            $.post('get_party.php', {party: party}, function (data) {
                $(".flatno").val(data.flatno);
                $(".flatno").trigger('change');

            }, 'json');

//            if (confirm('Do You Want To View Ledger ?')) {
//                $('.legderparty').val(party);
//                $('.LedgerModal').modal('show');
//            } 
        }
    }



    function calDetailOth() {
        var tr = $(this).closest("tr"),
                obillamt = 0;

        $(".amtoth").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                obillamt += parseFloat(this.value);
            }
        });
        $(".obillamt").val(obillamt);
    }

//    function calMain() {
//        var subtotal    = $(".subtotal").val(),
//            totvat      = $(".totvat").val(),
//            totdisc     = $(".totdisc").val(),
//            billamt    = parseFloat(subtotal) + parseFloat(totvat)+ parseFloat(totdisc);
//    
//        $(".billamt").val(billamt.toFixed(2));
//    }


    $('#addnewoth').click(function () {
        AddRowsOth();
    });
    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRowsOth() {
        var ctr = $('#items').val();
        var member = $('.member').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
//        var detail = ".fetchpart_" + ctr;
        $.post('crednote_add.php', {ctr: ctr, hide: hide_check, member: member}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
//            $(detail).select2();
        });
    }

    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////


});